package cn.superdesk.uniorder.dao.mapper.marketing;

import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirtDimDay;
import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirtDimDayExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedStatisticsVirtDimDayMapper {

    long countByExample(UnifiedStatisticsVirtDimDayExample example);

    int deleteByExample(UnifiedStatisticsVirtDimDayExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedStatisticsVirtDimDay record);

    int insertSelective(UnifiedStatisticsVirtDimDay record);

    List<UnifiedStatisticsVirtDimDay> selectByExample(UnifiedStatisticsVirtDimDayExample example);

    UnifiedStatisticsVirtDimDay selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedStatisticsVirtDimDay record, @Param("example") UnifiedStatisticsVirtDimDayExample example);

    int updateByExample(@Param("record") UnifiedStatisticsVirtDimDay record, @Param("example") UnifiedStatisticsVirtDimDayExample example);

    int updateByPrimaryKeySelective(UnifiedStatisticsVirtDimDay record);

    int updateByPrimaryKey(UnifiedStatisticsVirtDimDay record);
}
